List campaigns
Lists the campaigns you can access, newest first, with their status.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
get_campaignsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
curl https://api.dcdial.com/api/ \ -d type=get_campaigns \ -d token="$DCDIAL_TOKEN"<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'get_campaigns', 'token' => getenv('DCDIAL_TOKEN'), ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "get_campaigns", token: process.env.DCDIAL_TOKEN, }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "get_campaigns", "token": os.environ["DCDIAL_TOKEN"], }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "", "campaigns_list": [ { "campaign_id": "1024", "campaign_name": "Payment reminders", "display_status": "PLAY", "active": "Y" }, { "campaign_id": "1025", "campaign_name": "Welcome calls", "display_status": "STOP", "active": "N" } ] }}Try it